package com.ruoyi.system.domain;



import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;
import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 资产表 property
 *
 * @author ruoyi
 */

public class Property extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id", cellType = ColumnType.NUMERIC)
    private Long id;

    /** 产品id */
    @Excel(name = "产品id")

    private String productId;

    /** 资产名称 */
    @Excel(name = "资产名称")
    private String name;

    /** 剩余产品数量 */
    @Excel(name = "剩余产品数量", cellType = ColumnType.NUMERIC)
    private Integer count;

    /** 产品单价 */
    @Excel(name = "产品单价")
    private BigDecimal unitprice;

    /** 批发价格 */
    @Excel(name = "批发价格")
    private BigDecimal wholesale;

    /** 安装成本 */
    @Excel(name = "安装成本")

    private BigDecimal installationCost;

    /** 年度运维成本 */
    @Excel(name = "年度运维成本")

    private BigDecimal opCost;

    /** 保修期限 */
    @Excel(name = "保修期限")

    private String warrantyPeriod;

    /** 延保价格 */
    @Excel(name = "延保价格")

    private BigDecimal extendedWarrantyPrice;

    /** 预期使用寿命 */
    @Excel(name = "预期使用寿命")

    private String expectedServiceLife;

    /** 折旧率 */
    @Excel(name = "折旧率")

    private BigDecimal depreciationRate;

    /** 品牌 */
    @Excel(name = "品牌")
    private String brand;

    /** 产品规格 */
    @Excel(name = "产品规格")

    private String productSpecifications;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getProductId()
    {
        return productId;
    }

    public void setProductId(String productId)
    {
        this.productId = productId;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public Integer getCount()
    {
        return count;
    }

    public void setCount(Integer count)
    {
        this.count = count;
    }

    public BigDecimal getUnitprice()
    {
        return unitprice;
    }

    public void setUnitprice(BigDecimal unitprice)
    {
        this.unitprice = unitprice;
    }

    public BigDecimal getWholesale()
    {
        return wholesale;
    }

    public void setWholesale(BigDecimal wholesale)
    {
        this.wholesale = wholesale;
    }

    public BigDecimal getInstallationCost()
    {
        return installationCost;
    }

    public void setInstallationCost(BigDecimal installationCost)
    {
        this.installationCost = installationCost;
    }

    public BigDecimal getOpCost()
    {
        return opCost;
    }

    public void setOpCost(BigDecimal opCost)
    {
        this.opCost = opCost;
    }

    public String getWarrantyPeriod()
    {
        return warrantyPeriod;
    }

    public void setWarrantyPeriod(String warrantyPeriod)
    {
        this.warrantyPeriod = warrantyPeriod;
    }

    public BigDecimal getExtendedWarrantyPrice()
    {
        return extendedWarrantyPrice;
    }

    public void setExtendedWarrantyPrice(BigDecimal extendedWarrantyPrice)
    {
        this.extendedWarrantyPrice = extendedWarrantyPrice;
    }

    public String getExpectedServiceLife()
    {
        return expectedServiceLife;
    }

    public void setExpectedServiceLife(String expectedServiceLife)
    {
        this.expectedServiceLife = expectedServiceLife;
    }

    public BigDecimal getDepreciationRate()
    {
        return depreciationRate;
    }

    public void setDepreciationRate(BigDecimal depreciationRate)
    {
        this.depreciationRate = depreciationRate;
    }

    public String getBrand()
    {
        return brand;
    }

    public void setBrand(String brand)
    {
        this.brand = brand;
    }

    public String getProductSpecifications()
    {
        return productSpecifications;
    }

    public void setProductSpecifications(String productSpecifications)
    {
        this.productSpecifications = productSpecifications;
    }

    @Override
    public String toString()
    {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("productId", getProductId())
            .append("name", getName())
            .append("count", getCount())
            .append("unitprice", getUnitprice())
            .append("wholesale", getWholesale())
            .append("installationCost", getInstallationCost())
            .append("opCost", getOpCost())
            .append("warrantyPeriod", getWarrantyPeriod())
            .append("extendedWarrantyPrice", getExtendedWarrantyPrice())
            .append("expectedServiceLife", getExpectedServiceLife())
            .append("depreciationRate", getDepreciationRate())
            .append("brand", getBrand())
            .append("productSpecifications", getProductSpecifications())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}